Bug 499730 - nouveau driver hangs but nv works [NV5M64 10de:002d (rev 15)] [NEEDINFO]
nouveau driver hangs but nv works [NV5M64 10de:002d (rev 15)]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs
Depends On:
Blocks: 518893
  Show dependency treegraph
 
Reported: 2009-05-07 15:43 EDT by Sertaç Ö. Yıldız
Modified: 2010-06-28 08:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:26:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (sertacyildiz)


Attachments (Terms of Use)
Xorg.log with nouveau.noagp=1 (69.48 KB, text/plain)
2009-05-13 13:52 EDT, Sertaç Ö. Yıldız
no flags Details
Xorg.log without nouveau.noagp=1 (72.68 KB, text/plain)
2009-05-13 13:53 EDT, Sertaç Ö. Yıldız
no flags Details

  None (edit)
Description Sertaç Ö. Yıldız 2009-05-07 15:43:47 EDT
Description of problem:

F11-preview cannot start the X server with default configuration. Booting to runlevel 3 and manually configuring Xorg to use nv works.

lspci output for the video card is:

01:00.0 VGA compatible controller: nVidia Corporation NV5M64 [RIVA TNT2 Model 64/Model 64 Pro] (rev 15)

01:00.0 0300:  10de:002d (rev 15)

Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau-0.0.12-31.20090421git47bb00f.fc11.i586


Additional info:

With no xorg.conf, after startx this is what /var/log/messages looks like:

May  7 19:14:46 localhost kernel: agpgart-via 0000:00:00.0: AGP 2.0 bridge
May  7 19:14:46 localhost kernel: agpgart-via 0000:00:00.0: putting AGP V2 device into 4x mode
May  7 19:14:46 localhost kernel: pci 0000:01:00.0: putting AGP V2 device into 4x mode
May  7 19:14:46 localhost kernel: nouveau 0000:01:00.0: Allocating FIFO number 0
May  7 19:14:46 localhost kernel: nouveau 0000:01:00.0: nouveau_fifo_alloc: initialised FIFO 0
May  7 19:14:46 localhost kernel: nouveau 0000:01:00.0: Allocating FIFO number 1
May  7 19:14:46 localhost kernel: nouveau 0000:01:00.0: nouveau_fifo_alloc: initialised FIFO 1
May  7 19:14:46 localhost kernel: nouveau 0000:01:00.0: NV: PGRAPH context switch interrupt channel 0 -> 1
May  7 19:14:47 localhost kernel: nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1
May  7 19:14:52 localhost pulseaudio[4345]: module-alsa-card.c: Failed to find a working profile.
May  7 19:14:52 localhost pulseaudio[4345]: module.c: Failed to load  module "module-alsa-card" (argument: "device_id=1 name=pci_109e_878_sound_card_0 card_name=alsa_card.pci_109e_878_sound_card_0 tsched=1"): initialization failed.
May  7 19:14:53 localhost pulseaudio[4345]: x11wrap.c: XOpenDisplay() failed
May  7 19:14:53 localhost pulseaudio[4345]: module.c: Failed to load  module "module-x11-publish" (argument: "display=:0.0"): initialization failed.
May  7 19:14:54 localhost kernel: nouveau 0000:01:00.0: nouveau_fifo_free: freeing fifo 1
May  7 19:14:54 localhost kernel: nouveau 0000:01:00.0: Failed to idle channel 1.  Prepare for strangeness..
May  7 19:14:54 localhost kernel: nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1
May  7 19:14:54 localhost pulseaudio[4345]: alsa-sink.c: Increasing wakeup watermark to 30.00 ms
May  7 19:14:54 localhost pulseaudio[4345]: alsa-source.c: Increasing wakeup watermark to 30.00 ms
May  7 19:14:54 localhost kernel: nouveau 0000:01:00.0: nouveau_fifo_free: freeing fifo 0
May  7 19:14:54 localhost kernel: nouveau 0000:01:00.0: PFIFO_DMA_PUSHER - Ch 1
May  7 19:14:54 localhost gnome-keyring-daemon[4312]: dbus failure unregistering from session: Connection is closed
Comment 1 Ben Skeggs 2009-05-07 18:13:01 EDT
Mmm, can you try booting with nouveau.noagp=1 on the kernel commandline and see how things are?
Comment 2 Sertaç Ö. Yıldız 2009-05-07 18:31:14 EDT
With nouveau.noagp=1 X server couldn't start (again the screen was filled with white/gray stripes), however system was responsive. I could switch to a tty and login.
Comment 3 Ben Skeggs 2009-05-07 18:37:05 EDT
Okay, thanks.  I'll retest my NV5 when I get home, it worked last I tried but guess it got broken somewhere along the way :)
Comment 4 Ben Skeggs 2009-05-10 07:48:14 EDT
Can I get your /var/log/Xorg.0.log after booting with nouveau.noagp=1?  My nv5 is working just fine with the latest packages.
Comment 5 Sertaç Ö. Yıldız 2009-05-13 13:51:05 EDT
With updated kernel 2.6.29.2-134.fc11.i686.PAE and xorg-x11-drv-nouveau-0.0.12-35.20090507git1072103.fc11.i586, nouveau.noagp=1 can start the x server but still cannot do YUY2 overlay.

I'm attaching Xorg.logs with this version. If you need the logs from F11-preview let me know.
Comment 6 Sertaç Ö. Yıldız 2009-05-13 13:52:54 EDT
Created attachment 343829 [details]
Xorg.log with nouveau.noagp=1
Comment 7 Sertaç Ö. Yıldız 2009-05-13 13:53:45 EDT
Created attachment 343830 [details]
Xorg.log without nouveau.noagp=1
Comment 8 Ben Skeggs 2009-05-13 17:10:29 EDT
What exactly is the problem with the overlay?  This is the first mention of it.
Comment 9 Sertaç Ö. Yıldız 2009-05-13 18:17:59 EDT
tvtime refuses to start without the overlay -- if this is what you ask. It works fine with nv.
Comment 10 Ben Skeggs 2009-05-18 07:37:32 EDT
tvtime starts just fine here, can you post the output from attempting to start tvtime on a console?
Comment 11 Sertaç Ö. Yıldız 2009-05-20 13:02:40 EDT
I can't recall the exact wording of the tvtime error, but it was about hardware YUY2 overlay requirement.

tvtime now starts fine with latest packages from the repository and kernel-PAE-2.6.29.3-152.fc11 and xorg-x11-drv-nouveau-0.0.12-37.20090514git9656762.fc11 from koji. Not sure if any of these updates fixed it but cannot reproduce anymore.

Feel free to close the bug with appropriate status, thanks.
Comment 12 Ben Skeggs 2009-05-20 16:57:23 EDT
Right, that's the error I thought you meant, which is odd since the nv4 overlay's always had YUY2 support :)  In any case, thanks for the update.  I'll leave the bug open for the agp issue at the moment however.
Comment 13 Bug Zapper 2009-06-09 11:23:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Matěj Cepl 2009-11-05 13:28:45 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 15 Matěj Cepl 2010-02-26 07:22:44 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 16 Bug Zapper 2010-04-27 10:12:17 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-06-28 08:26:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.